package com.codenetworkz.blog.externalcall;

import com.codenetworkz.blog.web.dtos.ResponseTaskDto;
import com.codenetworkz.blog.web.dtos.ResponseTaskListDto;

import java.util.UUID;

public interface ExternalCallTaskService {

    ResponseTaskDto saveTask(String taskName, String description);
    ResponseTaskListDto getAllTask();
    ResponseTaskDto getTaskById(UUID taskId);
    ResponseTaskDto updateTask(UUID taskId, String taskName, String description);
    ResponseTaskDto deleteTask(UUID taskId);
    ResponseTaskDto completeTask(UUID taskId);

}
